Subject: Re: tx_full v.s tx_free race fix in 8xx_io/enet.c?

From: Tom Rini <[email-masked]>
Date: Wed, 3 Dec 2003 09:15:13 -0700

On Tue, Dec 02, 2003 at 12:00:27AM +0100, Joakim Tjernlund wrote:

> It seems to me that the old tx_full stuff is working better that the
> new tx_free.

What problem are you seeing without making any changes to the code as it
stands?

> Which race is it supposed to fix and how do I generate it?

I don't recall the exact details right now, but I think it was a
potential race (hence yes, you might not be able to trigger it) where
some packets could be lost (and a retransmitt would happen).  But again,
it's been a long time since I thought about this one.

--
Tom Rini
http://gate.crashing.org/~trini/

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/